Subject: Re: [PATCH 1/4] Add support for 750CL Holly board

From: Arnd Bergmann <[email-masked]>
Date: Sat, 5 May 2007 13:08:11 +0200

On Friday 04 May 2007, Josh Boyer wrote:
> 
> > If it's an IBM product, it should come with a product code like 123-4567,
> > which fits in here, instead of just listing the CPU.
> 
> Erm... why?  There are other boards that don't do this as well...

We did it on the Cell blade because we were asked to do it by
the people responsible for the hardware, who were following
their rules. I assumed that the same rules apply here as well,
but maybe they are specific to the server line.

> > > --- linux-2.6.orig/drivers/net/tsi108_eth.h
> > > +++ linux-2.6/drivers/net/tsi108_eth.h
> > > @@ -49,7 +49,11 @@
> > >   */
> > >  #define PHY_MV88E  1       /* Marvel 88Exxxx PHY */
> > >  #define PHY_BCM54XX        2       /* Broardcom BCM54xx PHY */
> > > +#if defined(CONFIG_HOLLY)
> > > +#define TSI108_PHY_TYPE PHY_BCM54XX
> > > +#else
> > >  #define TSI108_PHY_TYPE    PHY_MV88E
> > > +#endif
> > >  
> > 
> > this breaks multiplatform setups.
> 
> I know.  Looking for a better suggestions.  Kumar suggested a Kconfig
> option at least, which is what I'm going to go with unless someone has a
> better idea...

A Kconfig option won't help at all. The phy should come as a device node
below the ethernet device. When probing the device, look at the
"compatible" and "reg" properties in there.

	Arnd <><